description = "Mapped injected client"

plugins {
    id("org.jetbrains.kotlin.plugin.lombok") version "1.6.21"
}

dependencies {
    api(project(":runescape-api"))
    api(project(":runelite-api"))

    implementation(project(":injection-annotations"))
    annotationProcessor(group = "org.projectlombok", name = "lombok", version = ProjectVersions.lombokVersion)

    implementation(group = "org.bouncycastle", name = "bcprov-jdk15on", version = "1.52")
    implementation(group = "org.json", name = "json", version = "20220320")

    testImplementation(group = "junit", name = "junit", version = "4.12")
    testImplementation(group = "org.slf4j", name = "slf4j-api", version = "1.7.32")
    testImplementation(group = "org.slf4j", name = "slf4j-simple", version = "1.7.32")

    compileOnly(group = "org.slf4j", name = "slf4j-api", version = "1.7.32")
    compileOnly(group = "com.google.code.gson", name = "gson", version = "2.8.5")
    compileOnly(group = "com.google.guava", name = "guava", version = "30.1.1-jre")
    compileOnly(group = "com.google.inject", name = "guice", version = "5.0.1")
    compileOnly(group = "org.projectlombok", name = "lombok", version = ProjectVersions.lombokVersion)
    compileOnly(group = "io.sentry", name = "sentry", version = "3.1.0")

    testAnnotationProcessor(group = "org.projectlombok", name = "lombok", version = ProjectVersions.lombokVersion)

    testCompileOnly(group = "org.projectlombok", name = "lombok", version = ProjectVersions.lombokVersion)
}